apiVersion: v1
items:
- apiVersion: argoproj.io/v1alpha1
  kind: Application
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"argoproj.io/v1alpha1","kind":"Application","metadata":{"annotations":{},"name":"my-app","namespace":"gitops-service-argocd"},"spec":{"destination":{"namespace":"john","server":"https://kubernetes.default.svc"},"project":"default","source":{"path":"kustomize-guestbook","repoURL":"https://github.com/argoproj/argocd-example-apps","targetRevision":"master"},"syncPolicy":{"automated":{"prune":true,"selfHeal":true}}}}
    creationTimestamp: "2023-07-05T11:11:43Z"
    generation: 7
    name: my-app
    namespace: gitops-service-argocd
    resourceVersion: "37160"
    uid: cd7b0568-5546-420d-9bd7-bc604df6d1f9
  spec:
    destination:
      namespace: john
      server: https://kubernetes.default.svc
    project: default
    source:
      path: kustomize-guestbook
      repoURL: https://github.com/argoproj/argocd-example-apps
      targetRevision: master
    syncPolicy:
      automated:
        prune: true
        selfHeal: true
  status:
    conditions:
    - lastTransitionTime: "2023-07-05T11:14:34Z"
      message: 'failed to sync cluster https://10.217.4.1:443: failed to load initial
        state of resource DaemonSet.apps: daemonsets.apps is forbidden: User "system:serviceaccount:gitops-service-argocd:gitops-service-argocd-argocd-application-controller"
        cannot list resource "daemonsets" in API group "apps" in the namespace "jane"'
      type: ComparisonError
    - lastTransitionTime: "2023-07-05T11:14:34Z"
      message: 'failed to sync cluster https://10.217.4.1:443: failed to load initial
        state of resource DaemonSet.apps: daemonsets.apps is forbidden: User "system:serviceaccount:gitops-service-argocd:gitops-service-argocd-argocd-application-controller"
        cannot list resource "daemonsets" in API group "apps" in the namespace "jane"'
      type: ComparisonError
    - lastTransitionTime: "2023-07-05T11:14:34Z"
      message: 'failed to sync cluster https://10.217.4.1:443: failed to load initial
        state of resource DaemonSet.apps: daemonsets.apps is forbidden: User "system:serviceaccount:gitops-service-argocd:gitops-service-argocd-argocd-application-controller"
        cannot list resource "daemonsets" in API group "apps" in the namespace "jane"'
      type: UnknownError
    health:
      status: Healthy
    reconciledAt: "2023-07-05T11:14:34Z"
    sync:
      comparedTo:
        destination:
          namespace: john
          server: https://kubernetes.default.svc
        source:
          path: kustomize-guestbook
          repoURL: https://github.com/argoproj/argocd-example-apps
          targetRevision: master
      status: Unknown
kind: List
metadata:
  resourceVersion: ""
